//
//  TestGameBoard.m
//  TDD_TicTacToe
//
//  Created by Douglas Sjoquist on 5/30/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <GHUnitIOS/GHUnitIOS.h>
#import "GameBoard.h"

@interface TestGameBoard : GHTestCase { }
GameBoard *gameBoard;
@end

@implementation TestGameBoard

- (void) setUp {
    [super setUp];
    
    gameBoard = [[GameBoard alloc] init];
}

- (void) tearDown {
	[gameBoard release];
    
    [super tearDown];
}

- (void) testValidMove_row0_col0 {
	[gameBoard movePlayer:@"playerA" row:0 col:0];
    GHAssertEqualStrings(@"playerA", [gameBoard playerAtRow:0 col:0], @"playerAt... should return 'playerA'");
}


- (void) testTwoValidMoves {
	[gameBoard movePlayer:@"playerA" row:0 col:0];
	[gameBoard movePlayer:@"playerB" row:1 col:1];
    
    GHAssertEqualStrings(@"playerA", [gameBoard playerAtRow:0 col:0], @"playerAt 0 0 should return 'playerA'");
    GHAssertEqualStrings(@"playerB", [gameBoard playerAtRow:1 col:1], @"playerAt 1 1 should return 'playerB'");
}

@end